### Function

# Camel movemail

#### Declaration [src]

    gint
    camel_movemail (
      const gchar* source,
      const gchar* dest,
      GError** error
    )

#### Description [src]

This copies an mbox file from a shared directory with multiple readers and writers into a private (presumably Camel-controlled) directory. Dot locking is used on the source file (but not the destination).

#### Parameters

`source`

  Type: `const gchar*`

  Source file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dest`

  Type: `const gchar*`

  Destination file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

Returns -1 on error or 0 on success.